Bug 851222 - configd should detect if there are more wallaby agents on broker
configd should detect if there are more wallaby agents on broker
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-client (Show other bugs)
2.2
Unspecified Unspecified
medium Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 10:16 EDT by Lubos Trilety
Modified: 2013-03-06 13:45 EST (History)
2 users (show)

See Also:
Fixed In Version: condor-wallaby-5.0.3-1
Doc Type: Bug Fix
Doc Text:
Cause: Multiple wallaby-agents running against the broker the configd is talking to Consequence: The configd would choose the first one, which may not be the one desired Fix: The configd will exit with a notification in its log file if it finds more than 1 wallaby-agent running Result: The configd will only run if there is 1 wallaby-agent running on the broker
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:45:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-08-23 10:16:01 EDT
Description of problem:
Configd should detect if there are two or more wallaby agents connected to the broker. In such case it should log clear error, something like:
"I'm refusing to run against two or more agents; kill one of these"

As it is now configd chooses the first connected wallaby agent without logging any error.

Version-Release number of selected component (if applicable):
condor-wallaby-client-4.1.3-1

How reproducible:
100%

Steps to Reproduce:
1. set two wallaby agents so they connect to the same broker
2. start condor_configd see logs
  
Actual results:
no error message configd chooses the first connected wallaby agent

Expected results:
error message about more wallaby agents connected to the broker

Additional info:
Comment 1 Robert Rati 2012-09-24 17:36:50 EDT
The configd will log a message to it's log and exit with a status of 1 if it detects more than 1 store on the broker.

Fixed upstream on:
BZ851222-multiple-stores
Comment 4 Lubos Trilety 2012-12-17 11:41:42 EST
Tested with:
condor-wallaby-client-5.0.4-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

$ tailf Configd
...
ERROR: Multiple configuration stores detected.  Refusing to run against 2 or more configuration stores.

>>> verified
Comment 6 errata-xmlrpc 2013-03-06 13:45:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.